#!/bin/sh
#
# from original BJT 1/4/07
# This script will create a tunnel automatically calling picport, or if it already exists close the active tunnel.
#

ps -leaf | grep ssh | grep mgportal | grep -v grep > /dev/null 2>&1
if [[ $? == 0 ]]; then
        # Stop tunnel.
        PID=`ps -leaf | grep ssh | grep mgportal | grep -v grep | awk ' { print $4 } '`
        PORT=`ps -leaf | grep ssh | grep mgportal | grep -v grep | sed "s/.*-n -R //" | cut -f1 -d':'`
        echo "Closing management tunnel:  $PORT"
        kill $PID
        if [[ $? == 0 ]]; then
                echo "Success."
        else
                echo "Failed."
        fi
else
	if [ "$#" -ne 1 ]; then
		echo "usage: toggle_tunnel.sh <server IP>"
		exit -1;
	fi

# Start tunnel.
. /etc/default/bp.ini > /dev/null 2>&1
        PORT=`$BPDIR/lcdman.dir/pickport`
        /usr/local/mgportal/bin/tunnel.sh tunnel $PORT $1
fi
exit 0
